Bug 59805 - Anaconda crash with LVM code.
Anaconda crash with LVM code.
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2002-02-13 10:30 EST by Emmanuel Galanos
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-25 10:55:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Anaconda dump with LVM partitioning. (44.31 KB, text/plain)
2002-02-13 10:31 EST, Emmanuel Galanos
no flags Details

  None (edit)
Description Emmanuel Galanos 2002-02-13 10:30:45 EST
Description of Problem:
Anaconda crashed while playing with LVM partitions.. Traceback attached.

Version-Release number of selected component (if applicable):
7.2.90 beta 1 install.

How Reproducible:
Can't remember steps used. If the trace is not enough I can try to find out
what I did.
Comment 1 Emmanuel Galanos 2002-02-13 10:31:50 EST
Created attachment 45540 [details]
Anaconda dump with LVM partitioning.
Comment 2 Michael Fulbright 2002-02-13 11:24:09 EST
It would really help if you can list the steps to recreate the issue.
Comment 3 Emmanuel Galanos 2002-02-14 01:16:35 EST
Using bootnet.img doing NFS install in GUI mode. 
Machine contains single 20 GB IDE drive.
Drive contains 1 existing VFAT partition (13 GB) (yeah, yeah, it's the families

* Select custom install and other default options till partitioning screen
* Select "Manually partiton with Disk Druid"
* Create new partition
   * Type: swap
   * Size: 256 MB
   * Options altered
       * None
* Create new partition
   * Type: Physical volume
   * Options altered:
       * Fill to maximum allowable
* Click on LVM button
   * Volume group name: test1
   * Add logical volume
       * Logical volume name: test2
       * Type: Ext3
       * Mount point: /usr
       * Size unimportant
       * OK
   * OK
* Delete VG test1
* Delete partition containing physical volume
* Now we should only have the VFAT, swap, and free space showing under /dev/hda
* Create new partition
   * Type: Ext3
   * Mount point: /
   * Fill to maximum allowable space
* Click next
* Kaboom!
Comment 4 Michael Fulbright 2002-02-21 15:37:41 EST
Comment 5 Jay Turner 2002-03-19 17:03:54 EST
Deferring this to the next installer.
Comment 6 Michael Fulbright 2002-06-12 01:22:37 EDT
This should be fixed now.
Comment 7 Michael Fulbright 2002-12-20 12:38:25 EST
Time tracking values updated
Comment 8 Brent Fox 2003-05-25 10:55:20 EDT
I'm going through Bugzilla closing some bugs that have been marked as Modified
for some period of time.  I believe that most of these issues have been fixed,
so I'm resolving these bugs as Rawhide.  If the bug you are seeing still exists,
please reopen this report and mark it as Reopened.

Note You need to log in before you can comment on or make changes to this bug.